org.apache.felix.ipojo.manipulator.store

## Interface ResourceMapper

All Known Implementing Classes:
  FileSystemResourceMapper, IdentityResourceMapper, WABResourceMapper

    public interface ResourceMapper

A `ResourceMapper` maps resource name from a reference to another one. Example: In a WAB, class names are to be mapped into WEB-INF/classes/.

Author:
  Felix Project Team

### Method Summary

All Methods Instance Methods Abstract Methods
`String` `externalize(String name)` Provides a normalized resource name from the store's internal format.
`String` `internalize(String name)` Adapts the normalized resource name into internal format.

### Method Detail

#### internalize

    String internalize(String name)

Adapts the normalized resource name into internal format.

Parameters:
  `name` - original class names (as a resource)
Returns:
  the transformed resource's name

#### externalize

    String externalize(String name)

Provides a normalized resource name from the store's internal format.

Parameters:
  `name` - resource name in internal format
Returns:
  normalized resource name